Subject: Re: bug#50339: master creashed in compact_small_strings

From: Richard Stallman <[email-masked]>
Date: Mon, 20 Sep 2021 19:48:22 -0400

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > > Alas, my machine crashed and that session was lost.

  > Should this bug remain open, or does that preclude us making any further
  > progress here?

I can't do any further debugging on the process which crashed.
So I can't contribute any further for the moment.
Whether to close the ticket isup to you.

  >   I can see that you discussed that this might have been
  > caused by a hardware issue.

That was just speculation, of course.  But I could not see how obeying
the instructions in that code could have produced this result.

Perhaps a bug in a signal handler could have done it.

-- 
Dr Richard Stallman (https://stallman.org)
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)